Bug 1602 - reduce_name fails when follow symlinks = no
reduce_name fails when follow symlinks = no
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.5
x86 Linux
: P3 normal
: none
Assigned To: Jeremy Allison
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-11 05:17 UTC by Mark Pröhl
Modified: 2005-08-24 10:18 UTC (History)
0 users

See Also:


Attachments
Fix for this problem. (731 bytes, patch)
2004-08-17 11:55 UTC, Jeremy Allison
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Pröhl 2004-08-11 05:17:37 UTC
Accesing the share with smbclient works, but I can't list any files 
 
smb.conf: 
 
  [global] 
        log level = 3 
        wide links = No 
        follow symlinks = No 
 
  [test] 
        path = /tmp 
 
here's what happens: 
 
  root # smbclient '\\localhost\test' 
  Password:  
  Domain=[TEST] OS=[Unix] Server=[Samba 3.0.6rc2] 
  smb: \> dir 
  NT_STATUS_ACCESS_DENIED listing *
Comment 1 Mark Pröhl 2004-08-11 05:20:57 UTC
some information from the logs: 
 
[2004/08/09 17:57:33, 3] smbd/vfs.c:reduce_name(834) 
  reduce_name [*] [/tmp] 
[2004/08/09 17:57:33, 3] smbd/vfs.c:reduce_name(939) 
  reduce_name: * reduced to * 
[2004/08/09 17:57:33, 3] smbd/vfs.c:reduce_name(834) 
  reduce_name [./] [/tmp] 
[2004/08/09 17:57:33, 3] smbd/vfs.c:reduce_name(932) 
  reduce_name: denied: file path name ./ is a symlink 
[2004/08/09 17:57:33, 3] smbd/error.c:error_packet(105) 
  error string = Permission denied 
[2004/08/09 17:57:33, 3] smbd/error.c:error_packet(129) 
  error packet at smbd/trans2.c(1427) cmd=50 (SMBtrans2) 
NT_STATUS_ACCESS_DENIED 
Comment 2 Gerald (Jerry) Carter 2004-08-17 07:06:09 UTC
jeremy, want to take a look at this one ?  Thanks.
Comment 3 Jeremy Allison 2004-08-17 11:55:43 UTC
Created attachment 602 [details]
Fix for this problem.
Comment 4 Jeremy Allison 2004-08-17 11:57:53 UTC
Fixed in svn. Thanks !
Jeremy.
Comment 5 Gerald (Jerry) Carter 2005-02-07 09:39:34 UTC
originally against 3.0.6rc2
Comment 6 Gerald (Jerry) Carter 2005-08-24 10:18:22 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.